<div class="col-lg-12 animated fadeInRight list-payment-extra">
  <div class="input-group">
  </div>
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div>
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <div class="row">
              <div class="col-sm-12">
                <h3>
                  <strong>Flagged Trip Speeds</strong>
                </h3>
              </div>
            </div>
            <div class="fm-row row">
              <div class="col-xs-4 autocomplete-field-container">
                <div>
                  <mat-chip-list #chipList2>
                    <mat-chip *ngFor="let order of ordersFilter" selectable="true" removable="true"
                      (removed)="removeOrder(order)" style="font-size:10px;">
                      {{order}}
                      <mat-icon matChipRemove class="fa fa-times-circle"></mat-icon>
                    </mat-chip>
                    <input class="form-control" [formControl]="orderCtrl" placeholder="Enter Order Id"
                      [matChipInputFor]="chipList2" [matAutocomplete]="auto3">
                  </mat-chip-list>
                  <mat-autocomplete #auto3="matAutocomplete" [displayWith]="displayFnOrderId"
                    (optionSelected)="orderIdselected($event)">
                    <mat-option *ngFor="let orderId of allOrderIddata" [value]="orderId">
                      {{orderId.unique_order_id}}
                    </mat-option>
                    <mat-option *ngIf="allOrderIddata=='' && allOrderIddata!.length == 0">No
                      Matches Found</mat-option>
                  </mat-autocomplete>
                </div>
              </div>
              <div class="col-xs-4">
                <mat-chip-list #chipList3>
                  <mat-chip *ngFor="let driver of driversFilter" selectable="true" removable="true"
                    (removed)="removeDriver(driver)" style="font-size:10px;">
                    {{driver.username}}
                    <mat-icon matChipRemove class="fa fa-times-circle"></mat-icon>
                  </mat-chip>
                  <input class="form-control" [formControl]="driverCtrl" placeholder="Enter Driver Id"
                    [matChipInputFor]="chipList3" [matAutocomplete]="auto4">
                </mat-chip-list>
                <mat-autocomplete #auto4="matAutocomplete" [displayWith]="displayFnDriver"
                  (optionSelected)="driverIdselected($event)">
                  <mat-option *ngFor="let orderId of driverList" [value]="orderId">
                    {{orderId.username}}
                  </mat-option>
                  <mat-option *ngIf="driverList!.length == 0">No
                    Matches Found</mat-option>
                </mat-autocomplete>
              </div>
              <div class="col-xs-2 custom-position">
                <input [(ngModel)]="selectedMoment" name="start_date" [max]="max" [owlDateTimeTrigger]="dtPicker1"
                  [owlDateTime]="dtPicker1" placeholder="Start Date" class="form-control"
                  (click)="checkShiftstartTime()">
                <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;" [owlDateTimeTrigger]="dtPicker1"
                  (click)="checkShiftstartTime()"></i>
                <owl-date-time #dtPicker1></owl-date-time>
              </div>
              <div class="col-xs-2 custom-position">
                <input [(ngModel)]="selectedMoment1" name="end_date" [min]="selectedMoment"
                  [owlDateTimeTrigger]="dtPicker2" [owlDateTime]="dtPicker2" placeholder="End Date"
                  class="form-control">
                <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;" [owlDateTimeTrigger]="dtPicker2"></i>
                <owl-date-time #dtPicker2></owl-date-time>
              </div>
            </div>
            <div class="fm-row row">
              <div class="col-xs-4">
                <mat-chip-list #chipList4>
                  <mat-chip *ngFor="let vehicle of vehicleFilter" selectable="true" removable="true"
                    (removed)="removeVehicle(vehicle)" style="font-size:10px;">
                    {{vehicle.vehicle_identity_number}}
                    <mat-icon matChipRemove class="fa fa-times-circle"></mat-icon>
                  </mat-chip>
                  <input class="form-control" [formControl]="vehicleCtrl" placeholder="Enter Vehicle Id"
                    [matChipInputFor]="chipList4" [matAutocomplete]="auto5">
                </mat-chip-list>
                <mat-autocomplete #auto5="matAutocomplete" [displayWith]="displayFnVehicle"
                  (optionSelected)="vehicleIdselected($event)">
                  <mat-option *ngFor="let vehicleId of vehicleList" [value]="vehicleId">
                    {{vehicleId.vehicle_identity_number}}
                  </mat-option>
                </mat-autocomplete>
              </div>
              <div class="col-sm-3"></div>
              <div class="col-sm-2 col-md-2 text-right">
                <div class="icons">
                  <a [ngStyle]="{ 'color' : statusColor('dispatcher')}" (click)="colorFilter('dispatcher')"
                    matTooltip="Dispatcher"><i aria-hidden="true" class="fa fa-headphones"></i></a>
                  <a [ngStyle]="{ 'color' : statusColor('kiosk')}" (click)="colorFilter('kiosk')" matTooltip="KIOSK"><i aria-hidden="true"
                      class="fa fa-desktop"></i></a>
                  <a [ngStyle]="{ 'color' : statusColor('customer')}" (click)="colorFilter('customer')"
                    matTooltip="Customer"><i aria-hidden="true" class="fa fa-user"></i></a>
                  <a [ngStyle]="{ 'color' : statusColor('website')}" (click)="colorFilter('website')"
                    matTooltip="Website"><i aria-hidden="true" class="fa fa-globe"></i></a>
                  <a [ngStyle]="{ 'color' : statusColor('driver')}" (click)="colorFilter('driver')"
                    matTooltip="Driver"><i aria-hidden="true" class="fa fa-taxi"></i></a>
                </div>
              </div>
              <div class="col-sm-3">
                <span matTooltip="CSV" *ngIf="downloads" style="cursor: pointer">
                  <img src="assets/img/csv.png" (click)="getconstantsforcsv()" alt="CSV"/>
                </span>
                <button (click)="getOrders()" class="btn btn-sm btn-primary blue">
                  <i aria-hidden="true" class="fa fa-search"></i> Search</button>
                <button class="btn btn-sm btn-primary red" (click)="reset()">
                  <i aria-hidden="true" class="fa fa-eraser"></i> Reset filters </button>
              </div>
            </div>
            <div class="fm-row row">
              <div class="col-md-12">
                <div *ngIf="creatingcsv">
                  <progress-bar [progress]="progressvalue" [color]="'#211d46'">
                  </progress-bar>
                </div>
              </div>
            </div>
            <div class="ibox-content">
              <div *ngIf="orderLength>0">Total records :{{orderLength}}</div>
              <div class="table-responsive custom-table">
                <table aria-describedby="Manage Company" class="table table-striped driver-listing table-bordered zoom">
                  <thead>
                    <tr>
                      <th scope="col">ID</th>
                      <th scope="col">Driver ID</th>
                      <th scope="col">Vehicle Side Number</th>
                      <th scope="col">Speed</th>
                      <th scope="col">Timestamp</th>
                    </tr>
                  </thead>
                  <tbody>
                    <span *ngIf="searchLoader">
                      <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                    </span>
                    <tr *ngFor="let order of orderData">
                      <td>
                        <span>{{order.unique_order_id ? order.unique_order_id : 'NA'}}
                        </span>
                      </td>
                      <td>
                        <span>{{order.driver_emp}} </span>
                      </td>
                      <td>
                        <span>{{order.vehicle_side ? order.vehicle_side: ' NA '}} </span>
                      </td>
                      <td>
                        <span>{{order.speed ? order.speed: ' NA '}}</span>
                      </td>
                      <td>
                        <span>{{order.trip_date_time ? order.trip_date_time: ' NA '}}</span>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
              <br>
              <div class="container-fluid" *ngIf="orderLength > 0">
                <div class="row col-md-12 text-center">
                  <div class="dataTables_info1">
                    <div>
                      <ngb-pagination [collectionSize]="orderLength" (pageChange)="pagingAgent($event)"
                        [(page)]="pageNo" [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5"
                        [boundaryLinks]="true">
                      </ngb-pagination>
                    </div>
                  </div>
                </div>
              </div>
              <div class="container-fluid" *ngIf="orderLength==0">
                <div class="row">
                  <div class="dataTables_info1">
                    <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                      No records found.
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>